Delegated Access Requests
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
granteestring · nullableOptional
Filters results to requests made for the specified user. Accepts a user ID or email address
limitinteger · int32OptionalDefault:
100page_tokenstring · nullableOptional
statusesstring[] · nullableOptional
Filters results by request status. Supports multiple statuses.
Responses
200
OK
application/json
get/api/user/v1/delegated-access-requests
GET /api/user/v1/delegated-access-requests HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"items": [
{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}
],
"pagination": {
"next_page_token": "text"
}
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200
OK
application/json
idstringRequired
Unique identifier of the access request
statusstringRequired
Current status of the access request
duration_in_secinteger · int32 · nullableOptional
Duration for which access is granted, in seconds
justificationstring · nullableOptional
Reason provided by the user when requesting access
creation_datestring · date-timeRequired
ISO 8601 formatted date-time
revocation_datestring · date-timeOptional
ISO 8601 formatted date-time
get/api/user/v1/delegated-access-requests/{id}
GET /api/user/v1/delegated-access-requests/{id} HTTP/1.1
Host: api.apono.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
OK
{
"id": "text",
"status": "text",
"duration_in_sec": 1,
"justification": "text",
"creation_date": "text",
"revocation_date": "text",
"custom_fields": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"access_groups": [
{
"integration": {
"id": "text",
"name": "text"
},
"resource_types": [
{
"id": "text",
"label": "text"
}
]
}
],
"requestor": {
"id": "text",
"source_id": "text"
},
"grantee": {
"id": "text",
"source_id": "text"
},
"bundle": {
"id": "text",
"name": "text"
}
}Last updated
Was this helpful?
